ubuntu-meta does not include GPL in source tarball

Bug #80513 reported by Joe Jaxx on 2007-01-18
8
Affects Status Importance Assigned to Milestone
edubuntu-meta (Ubuntu)
Undecided
Unassigned
kubuntu-meta (Ubuntu)
Undecided
Unassigned
ubuntu-meta (Ubuntu)
High
Colin Watson
Gutsy
High
Colin Watson

Bug Description

The source tarball for the ubuntu-meta package does not contain a full copy of the GPL (ie. a COPYING file).

Steps to Reproduce:
apt-get source ubuntu-meta
cd ubuntu-meta-*
ls | grep COPYING

Brian Murray (brian-murray) wrote :

In the debian directory there is a file called copyright which refers people to /usr/share/common-licenses/GPL . Do you believe that is sufficient?

Changed in ubuntu-meta:
assignee: nobody → brian-murray
status: Unconfirmed → Needs Info
Colin Watson (cjwatson) wrote :

The full text of the GPL does need to be in the source package, even though it's OK for the binary package to contain a reference in this case.

Changed in ubuntu-meta:
assignee: brian-murray → nobody
status: Needs Info → Confirmed
Martin Pitt (pitti) on 2007-06-05
Changed in ubuntu-meta:
importance: Undecided → High
Jordan Kanter (jikanter) on 2007-07-08
Changed in ubuntu-meta:
assignee: nobody → jikanter

Your debdiff is empty. Moreover, I'm unsubscribing Ubuntu Universe Sponsor as ubunt-meta is not in Universe.

Daniel Holbach (dholbach) wrote :

Martin: do you think this is necessary?

Changed in ubuntu-meta:
assignee: jikanter → pitti
Colin Watson (cjwatson) wrote :

I'll take this.

Changed in ubuntu-meta:
assignee: pitti → kamion
Colin Watson (cjwatson) wrote :

xubuntu-meta has already been fixed. I've opened bugs for the other *-meta source packages in main.

Colin Watson (cjwatson) wrote :

ubuntu-meta (1.54) gutsy; urgency=low

  * Include a copy of GPLv2 (LP: #80513).

 -- Colin Watson <email address hidden> Thu, 19 Jul 2007 22:08:15 +0100

Changed in ubuntu-meta:
status: Confirmed → Fix Released
Colin Watson (cjwatson) wrote :

kubuntu-meta (1.44) gutsy; urgency=low

  * Include a copy of GPLv2 (LP: #80513).

 -- Colin Watson <email address hidden> Thu, 19 Jul 2007 22:09:50 +0100

Changed in kubuntu-meta:
status: New → Fix Released
Colin Watson (cjwatson) wrote :

edubuntu-meta (1.35) gutsy; urgency=low

  * Include a copy of GPLv2 (LP: #80513).

 -- Colin Watson <email address hidden> Thu, 19 Jul 2007 22:11:34 +0100

Changed in edubuntu-meta:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers